Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chrriis.dj.nativeswing.swtimpl.components
Class VLCAudio

    java.lang.Object
      chrriis.dj.nativeswing.swtimpl.components.VLCAudio

    public class VLCAudio

extends Object

A VLC object responsible for audio-related actions.

Author:
  Christopher Deckers

Nested Class Summary
`static class` | `VLCAudio.VLCChannel` An audio channel.

Method Summary
`VLCAudio.VLCChannel` | `getChannel()` Get the audio channel.
`int` | `getTrack()` Get the audio track, or 0 if disabled.
`int` | `getVolume()` Get the volume, as a value between 0 and 100.
`boolean` | `isMute()` Indicate whether audio is mute.
`void` | `setChannel(VLCAudio.VLCChannel channel)` Set the audio channel to use.
`void` | `setMute(boolean isMute)` Set whether audio is mute.
`void` | `setTrack(int track)` Set the audio track, or 0 to disable it.
`void` | `setVolume(int volume)` Set the volume.
`void` | `toggleMute()` Toggle the mute state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setMute

    public void setMute(boolean isMute)

  Set whether audio is mute.

  Parameters:
    `isMute` - true if audio should be mute, false otherwise.

### isMute

    public boolean isMute()

  Indicate whether audio is mute.

  Returns:
    true if audio is mute.

### setVolume

    public void setVolume(int volume)

  Set the volume.

  Parameters:
    `volume` - the new volume, with a value between 0 and 100. Note that a value of 0 may not make it completely silent, mute should be used instead.

### getVolume

    public int getVolume()

  Get the volume, as a value between 0 and 100.

  Returns:
    the volume, or -1 in case of failure.

### setTrack

    public void setTrack(int track)

  Set the audio track, or 0 to disable it.

  Parameters:
    `track` - the track to play.

### getTrack

    public int getTrack()

  Get the audio track, or 0 if disabled.

  Returns:
    the audio track, or -1 in case of failure.

### setChannel

    public void setChannel(VLCAudio.VLCChannel channel)

  Set the audio channel to use.

  Parameters:
    `channel` - the audio channel to use.

### getChannel

    public VLCAudio.VLCChannel getChannel()

  Get the audio channel.

  Returns:
    the audio channel, or null in case of failure.

### toggleMute

    public void toggleMute()

  Toggle the mute state.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD